Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class AbstractLinkedMap.LinkMapIterator

    java.lang.Object
      org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
          org.apache.commons.collections.map.AbstractLinkedMap.LinkMapIterator

All Implemented Interfaces:
  java.util.Iterator, MapIterator, OrderedIterator, OrderedMapIterator, ResettableIterator

Enclosing class:
  AbstractLinkedMap

    protected static class AbstractLinkedMap.LinkMapIterator

extends AbstractLinkedMap.LinkIterator
implements OrderedMapIterator

MapIterator implementation.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
`expectedModCount, last, next, parent`

Constructor Summary
`protected` | `AbstractLinkedMap.LinkMapIterator(AbstractLinkedMap parent)`

Method Summary
`java.lang.Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`java.lang.Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`java.lang.Object` | `next()` Gets the next key from the `Map`.
`java.lang.Object` | `previous()` Gets the previous element from the collection.
`java.lang.Object` | `setValue(java.lang.Object value)` Sets the value associated with the current key (optional operation).

Methods inherited from class org.apache.commons.collections.map.AbstractLinkedMap.LinkIterator
`currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.OrderedMapIterator
`hasPrevious`

Methods inherited from interface org.apache.commons.collections.MapIterator
`hasNext, remove`

Constructor Detail

### AbstractLinkedMap.LinkMapIterator

    protected AbstractLinkedMap.LinkMapIterator(AbstractLinkedMap parent)

Method Detail

### next

    public java.lang.Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### previous

    public java.lang.Object previous()

  Description copied from interface: `OrderedIterator`
  Gets the previous element from the collection.

  Specified by:
    `previous` in interface `OrderedIterator`
  Specified by:
    `previous` in interface `OrderedMapIterator`
  Returns:
    the previous element in the iteration

### getKey

    public java.lang.Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.